Bug 1095516 - [GSS] (6.3.0) POJO objects are not removed from logging.properties when manually removing them from JBoss Config XML
Summary: [GSS] (6.3.0) POJO objects are not removed from logging.properties when manua...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Logging
Version: 6.2.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER5
: EAP 6.3.0
Assignee: James Perkins
QA Contact: Nikoleta Ziakova
Russell Dickenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-07 22:39 UTC by Kyle Lape
Modified: 2018-12-05 18:29 UTC (History)
4 users (show)

(edit)
In previous versions of JBoss EAP 6, when the definition of a POJO was removed from the server's configuration file, references to the POJO were not removed from the `logging.properties` file. 

If a POJO of the same name was later created again, JBoss EAP would state that there was a duplicate entry in `logging.properties`. 

This issue has now been resolved and references to POJO objects which no longer remain are removed from the `logging.properties` file.
Clone Of:
(edit)
Last Closed: 2014-08-06 14:36:33 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker WFLY-3324 Major Resolved POJO objects are not removed from logging.properties when manually removing them from JBoss Config XML 2015-08-05 14:17:26 UTC

Description Kyle Lape 2014-05-07 22:39:36 UTC
If I remove a custom Log4J appender from my standalone.xml and restart JBoss, I can still see the POJO definition for the removed appender in my logging.properties file.

Reproduce:

1. Start JBoss in standalone mode
2. Log in to web console
3. Profile > core > logging > handlers > custom > add
4. name it whatever
5. class: {{org.apache.log4j.FileAppender}}
6. module: {{org.apache.log4j}}
7. Add a property: {{file -> /path/to/some/log4j.log}}
8. Add the appender to the root logger
9. Restart JBoss
10. Verify the log is populated and {{logging.properties}} has the appender
11. Stop JBoss
12. Edit {{standalone.xml}} and comment out the custom appender and the root logger reference
13. Start JBoss and stop it again after it completed startup
14. Uncomment the appender in {{standalone.xml}}
15. Start JBoss.
16. You should see an error about a duplicate entry in {{logging.properties}}

Comment 2 James Perkins 2014-05-13 18:38:08 UTC
Could I get a QA review and a qa_ack+ or qa_ack-?

Comment 3 Petr Kremensky 2014-05-14 09:06:15 UTC
James, you can go on with this.

Comment 4 Nikoleta Ziakova 2014-07-02 07:06:38 UTC
Verified with EAP 6.3.0.ER8


Note You need to log in before you can comment on or make changes to this bug.